Bug 164362 - Misleading logfile message on index filesystem full
Summary: Misleading logfile message on index filesystem full
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: dovecot   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Michal Hlavinka
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-27 09:09 UTC by Andrew Meredith
Modified: 2010-03-05 14:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-05 14:38:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrew Meredith 2005-07-27 09:09:40 UTC
Description of problem:

When the filesystem containing the index files fills up, the log message:

Jul 27 09:01:13 chaven imap(meredith): Error rewriting mbox file
/var/spool/mail/meredith: No space left on device
Jul 27 09:01:13 chaven imap(meredith): write() failed with mbox file
/var/spool/mail/meredith: No space left on device

Incorrectly identifies the Inbox filesystem as the culprit.

The FC3 version of Dovecot also implicates locking:

Jul 27 09:01:13 chaven imap(meredith): mbox file /var/spool/mail/meredith was
modified while we had it read-locked, make sure all your software accessing
mboxes uses the same locking methods (fcntl, flock, dotlock)

Version-Release number of selected component (if applicable):

dovecot-0.99.11-2.EL4.1
or
dovecot-0.99.13-3.FC3

How reproducible:

Every time

Steps to Reproduce:
1. Set dovecot up with the mailbox filesystem on one filesystem and the index
files on another
2. Fill up the index filesystem
3. Try and read your mail
4. Check /var/log/maillog

Actual results:

The log entries seen above

Expected results:

Log entries referencing the filled filesystem.

Additional info:

Comment 1 Dan Horák 2008-06-12 08:29:53 UTC
I have probably identified the change between 0.99.11 and 0.99.13 that makes the
difference in the logs and will be testing it now.

Precise steps to reproduce the faulty behavior:
 S enable pop3 and set "default_mail_env =
mbox:~/mail/:INBOX=/var/mail/%u:INDEX=/var/indexes/%u" in the dovecot.conf
 S mount /second/device /var/indexes
 S service dovecot start
 C telnet localhost 110; USER foo, PASS bar, LIST, QUIT (it creates initial
structures under /var/indexes/dan/.imap/INBOX)
 S dd if=/dev/zero of=/var/indexes/big_file
 S/C mail foo
 C telnet localhost 110; USER foo, PASS bar => ERR no inbox + messages on the server


Comment 2 Dan Horák 2008-06-12 09:55:22 UTC
I can't get the messages you were seeing on FC-3, but the main issue is
reproduceable.

Comment 3 Michal Hlavinka 2010-03-05 14:38:05 UTC
I'm sorry for not addressing the issue in RHEL-4. As dovecot
is not scheduled for update in RHEL-4.9, I'm closing that bugzilla WONTFIX. If
you are still experiencing the issue with RHEL-5, feel free to reopen it
against RHEL-5.


Note You need to log in before you can comment on or make changes to this bug.